<!DOCTYPE html>
<html>
<head>
  <!--
    If you are serving your web app in a path other than the root, change the
    href value below to reflect the base path you are serving from.

    The path provided below has to start and end with a slash "/" in order for
    it to work correctly.

    For more details:
    * https://developer.mozilla.org/en-US/docs/Web/HTML/Element/base

    This is a placeholder for base href that will be replaced by the value of
    the `--base-href` argument provided to `flutter build`.
  -->
  <base href="$FLUTTER_BASE_HREF">  
  <meta charset="UTF-8">
  <!-- <meta content="IE=Edge" http-equiv="X-UA-Compatible"> -->
  <meta name="description" content="">

  <!-- iOS meta tags & icons -->
  <meta name="apple-mobile-web-app-capable" content="yes">
  <meta name="apple-mobile-web-app-status-bar-style" content="black">
  <meta name="apple-mobile-web-app-title" content=" ">
  <meta http-equiv="Content-Security-Policy" content="upgrade-insecure-requests">
  <link rel="apple-touch-icon" href="icons/Icon-192.png">

  <!-- Favicon -->
  <link rel="icon" type="image/png" href="favicon.png"/>
  <style type="text/css">

    .description-text{
      text-align: center;
      justify-content: center;
        align-items: center;
        margin: 0;
        position: absolute;
        top: 65%;
        left: 50%;
        -ms-transform: translate(-50%, -50%);
        transform: translate(-50%, -50%);
    }

    .loading {
        display: inline;
        justify-content: center;
        align-items: center;
        margin: 0;
        position: absolute;
        top: 50%;
        left: 50%;
        -ms-transform: translate(-50%, -50%);
        transform: translate(-50%, -50%);
    }

    .loader {
        border: 6px solid white;
        border-radius: 50%;
        border-left: 6px solid black;
        width: 40px;
        height: 40px;
        -webkit-animation: spin 1s linear infinite;
        animation: spin 1s linear infinite;
    }

    @-webkit-keyframes spin {
        0% {
            -webkit-transform: rotate(0deg);
        }

        100% {
            -webkit-transform: rotate(360deg);
        }
    }

    @keyframes spin {
        0% {
            transform: rotate(0deg);
        }

        100% {
            transform: rotate(360deg);
        }
    }

  </style>
  <title> </title>
  <link rel="manifest" href="manifest.json">
</head>
<body bgcolor="black">
  <div class="loading">
    <div class="loader"></div>
  </div>
  <div class="description-text">
    <p style="color:white;">Now you are loading contents. This process might take a few minutes. Please be patient and do not close the browser. Hold on tight!</p>
  </div>
 <!-- This script installs service_worker.js to provide PWA functionality to
       application. For more information, see:
       https://developers.google.com/web/fundamentals/primers/service-workers -->
 <script src='https://static.matterport.com/showcase-sdk/latest.js'></script>
 <script src="utils.js" type="application/javascript"></script>
 <script src="matter-port-utils.js" type="application/javascript"></script>
 <script src="showcase_jackdoor.js" type="application/javascript"></script>
 <script src="AgoraRtcWrapper.bundle.js" type="application/javascript"></script>
 <script src="walking.js" type="application/javascript"></script>
 <script src="3dnavigation.js" type="application/javascript"></script>
 <script src="multi_gifuser.js" type="application/javascript"></script>
 <script src="spriteMixer.js"></script>
 <script src="laser.js"></script>
 <script src="jack_door.js"></script>
 <script src="commontools.js"></script>
 <script src="https://threejs.org/build/three.js"></script>
 <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
 <script src='https://cdn.jsdelivr.net/npm/ngraph.path@1.3.1/dist/ngraph.path.min.js'></script>
 <script src='https://cdn.jsdelivr.net/npm/ngraph.graph@19.0.0/dist/ngraph.graph.min.js'></script>

 <script type="module">
  // Import the functions you need from the SDKs you need
  import { initializeApp } from "https://www.gstatic.com/firebasejs/9.6.7/firebase-app.js";
  import { getAnalytics } from "https://www.gstatic.com/firebasejs/9.6.7/firebase-analytics.js";
  // TODO: Add SDKs for Firebase products that you want to use
  // https://firebase.google.com/docs/web/setup#available-libraries

  // Your web app's Firebase configuration
  // For Firebase JS SDK v7.20.0 and later, measurementId is optional
  const firebaseConfig = {
    apiKey: "AIzaSyD9-_Vync4-LMVlwHmHgsD-7quEWpD8bB8",
    authDomain: "chat-app-eba66.firebaseapp.com",
    projectId: "chat-app-eba66",
    storageBucket: "chat-app-eba66.appspot.com",
    messagingSenderId: "369403714836",
    appId: "1:369403714836:web:0551a72f381f90c6543601",
    measurementId: "G-HB05G9R8GC"
  };

  // Initialize Firebase
  const app = initializeApp(firebaseConfig);
  const analytics = getAnalytics(app);
</script>
 <script>
    var serviceWorkerVersion = null;
    var scriptLoaded = false;
    function loadMainDartJs() {
      if (scriptLoaded) {
        return;
      }
      scriptLoaded = true;
      var scriptTag = document.createElement('script');
      scriptTag.src = 'main.dart.js';
      scriptTag.type = 'application/javascript';
      document.body.append(scriptTag);
    }

    if ('serviceWorker' in navigator) {
      // Service workers are supported. Use them.
      window.addEventListener('load', function () {
        navigator.serviceWorker.register("/firebase-messaging-sw.js");
        // Wait for registration to finish before dropping the <script> tag.
        // Otherwise, the browser will load the script multiple times,
        // potentially different versions.
        var serviceWorkerUrl = 'flutter_service_worker.js?v=' + serviceWorkerVersion;
        navigator.serviceWorker.register(serviceWorkerUrl)
          .then((reg) => {
            function waitForActivation(serviceWorker) {
              serviceWorker.addEventListener('statechange', () => {
                if (serviceWorker.state == 'activated') {
                  console.log('Installed new service worker.');
                  loadMainDartJs();
                }
              });
            }
            if (!reg.active && (reg.installing || reg.waiting)) {
              // No active web worker and we have installed or are installing
              // one for the first time. Simply wait for it to activate.
              waitForActivation(reg.installing || reg.waiting);
            } else if (!reg.active.scriptURL.endsWith(serviceWorkerVersion)) {
              // When the app updates the serviceWorkerVersion changes, so we
              // need to ask the service worker to update.
              console.log('New service worker available.');
              reg.update();
              waitForActivation(reg.installing);
            } else {
              // Existing service worker is still good.
              console.log('Loading app from service worker.');
              loadMainDartJs();
            }
          });

        // If service worker doesn't succeed in a reasonable amount of time,
        // fallback to plaint <script> tag.
        setTimeout(() => {
          if (!scriptLoaded) {
            console.warn(
              'Failed to load app from service worker. Falling back to plain <script> tag.',
            );
            loadMainDartJs();
          }
        }, 4000);
      });
    } else {
      // Service workers not supported. Just drop the <script> tag.
      loadMainDartJs();
    }
  </script>
 
 
</body>
</html>
